mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Attribute System.Runtime.Remoting.Contexts.IContextAttribute System.Runtime.Remoting.Contexts.IContextProperty System.AttributeUsage(System.AttributeTargets.Class) System.Runtime.InteropServices.ComVisible(true)

The class is the root for all context attributes. Simple class properties can be derived from with the context attribute and the context property being in the class. For more specialized or more sophisticated needs, the context attribute can derive from and the context property can be split into a separated class. For more information about using attributes, see [<topic://cpconExtendingMetadataUsingAttributes>].

Provides the default implementations of the and interfaces.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Creates an instance of the class with the specified name.

  The name of the context attribute.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added

  Indicates the name of the context attribute.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Returns a Boolean value indicating whether this instance is equal to the specified object.

  true if is not null and if the object names are equivalent; otherwise, false.

  The object to compare with this instance.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  Context properties cannot be added after the context has been frozen.

  Called when the context is frozen.

  The context to freeze.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  Returns the hashcode for this instance of .

  The hashcode for this instance of .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The class is an implementation of an property. The method adds the property to the given class so that when the message is received, the new object can be created in the required context environment.

  Adds the current context property to the given message.

  The to which to add the context property.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added

  Returns a Boolean value indicating whether the context parameter meets the context attribute's requirements.

  true if the passed in context is okay; otherwise, false.

  The context in which to check. The to which to add the context property.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  Once all the context properties have been added to the new context, they are all queried as to whether they are okay in the new context. The context property could look at the other context properties in the property of the new context and determine whether it is compatible with these other context properties.

  By default, the method returns true.

  Returns a Boolean value indicating whether the context property is compatible with the new context.

  true if the context property is okay with the new context; otherwise, false.

  The new context in which the property has been created.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string'

  Default implementation of this property provides as the property name.

  Gets the name of the context attribute.